#!/usr/bin/fades

"""Demo GUI 1 para la charla de intro a async.

fades:
    PyQt6
"""

from PyQt6.QtWidgets import QApplication, QVBoxLayout, QWidget, QLabel, QPushButton
from PyQt6.QtGui import QFont
from PyQt6.QtCore import Qt


class Window(QWidget):
    def __init__(self):
        super().__init__()
        self.resize(250, 150)
        self.setWindowTitle("Primer ejemplo")

        layout = QVBoxLayout()
        self.setLayout(layout)

        self.message = "Bienvenides a la charla"
        self.label = QLabel(self.message)
        self.label.setAlignment(Qt.AlignmentFlag.AlignCenter)
        self.label.setFont(QFont('Arial', 20))
        layout.addWidget(self.label)

        button = QPushButton("Más felices")
        button.clicked.connect(self.happier)
        layout.addWidget(button)

    def happier(self):
        self.message += "\n😀"
        self.label.setText(self.message)


app = QApplication([])
window = Window()
window.show()
app.exec()
